Anonymous Login
2019-12-06 11:12 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001436v3.1 ReleaseSystem Adminpublic2014-01-25 00:24
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0001436: admin & calendar modules remain selectable for install
DescriptionGoing through the process of running V3.1 inc the calendar config upgrade. Both the admin module and the calendar modules remain as modules but aren't registered as such so are available for a "new" module install. The admin module has no setup routine and the calendar module just re-runs previous actions but doesn't register.
Also noted in the acl permissions tables, I've ended up with duplicate entries for permissions for events, user. You can pick this up in a view of the entrirds in System Admin/ User Permissions View - there should be 5 line entries per module.
Additional InformationI deleted the additional lines from the db and all seems well but they shouldn't get generated in the 1st place.
Note the db was a clean install of w2p and not an upgrade, users and projects created from scratch
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003148

caseydk (administrator)

Resolved: https://github.com/web2project/web2project/commit/502d02476364bce5dc32517d1f2ebd9f5e2c7a07

~0003184

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2013-12-25 17:35 sasquatch58 New Issue
2013-12-25 18:41 caseydk Note Added: 0003148
2013-12-25 18:41 caseydk Status new => resolved
2013-12-25 18:41 caseydk Resolution open => fixed
2013-12-25 18:41 caseydk Assigned To => caseydk
2014-01-21 17:40 caseydk Note Added: 0003184
2014-01-21 17:40 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:24 caseydk Category General => System Admin
+Issue History